Subject: Re: [QGit bug] git user settings not retrieved when launched for Windows explorer

From: Abdelrazak Younes <[email-masked]>
Date: Tue, 07 Oct 2008 14:31:54 +0200

On 07/10/2008 13:57, Marco Costalba wrote:
> On Tue, Oct 7, 2008 at 1:36 PM, Abdelrazak Younes<[email-masked]>  wrote:
>    
>>> Sound like a problem of startup directory: on the command line you
>>> start from the right directory...when you double click on which repo
>>> qgit is open ?
>>>
>>>        
>> None of course. But when I open a repository manually I would expect that
>> this is properly filled in.
>>
>>      
>
> In git.cpp, Git::userInfo() function get info about user by means of
> 'git config' calls, my guess (I cannot it test now) is that 'git
> config' does not work if we are not in a git directory.
>    
No, 'git config user.name' works fine in any directory, even on the 
naked Windows console (I mean without msys bash). So that must be 
something else. I've traced it down to
MyProcess::on_finished().

     isErrorExit =   (exitStatus != QProcess::NormalExit)
                  || (exitCode != 0 && isWinShell)
                  || !errorDesc.isEmpty()
                  ||  canceling;

At this point we have:
exitStatus = NormalExit
exitCode = 1
isWinShell = false
errorDesc.isEmpty() returns true
canceling = false

Which gives 'isErrorExit = false'. I wonder if the isWinShell test is 
correct?

Abdel.